Skip to main content
GET
/
chats
/
{chat_id}
Get chat's messages
curl --request GET \
  --url https://{subdomain}.withrealm.com/api/external/alpha/chats/{chat_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "content": "<string>",
      "role": "user"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true,
  "agent_id": "<string>",
  "assistant_id": "<string>"
}

Rate Limits

600 requests per minute.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

data
object[]
required
first_id
string
required
last_id
string
required
has_more
boolean
required
agent_id
string

The ID of the agent for this chat.

assistant_id
string

Deprecated. Use agent_id instead.